[![PyPI - Version](https://img.shields.io/pypi/v/gurobi-optimods.svg)](https://pypi.org/project/gurobi-optimods)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/gurobi-optimods.svg)](https://pypi.org/project/gurobi-optimods)
[![Tests](https://github.com/Gurobi/gurobi-optimods/actions/workflows/test.yml/badge.svg?branch=main)](https://github.com/Gurobi/gurobi-optimods/actions/workflows/test.yml?query=branch%3Amain++)
[![Docs](https://readthedocs.com/projects/gurobi-optimization-gurobi-optimods/badge/?version=stable)](https://gurobi-optimization-gurobi-optimods.readthedocs-hosted.com/en/stable)

# gurobi-optimods: data-driven APIs for common optimization tasks

``gurobi-optimods`` is an open-source Python repository of implemented
optimization use cases, each with clear, informative, and pretty documentation
that explains how to use it and the mathematical model behind it.

## Features

`gurobi-optimods` allows users to:

- quickly apply optimization to solve a specific problem in their field of
  interest via intuitive, data-driven APIs
- learn about the mathematical model behind their use-case through thorough
  documentation
- contribute new mods to grow the library

## Installation

```console
pip install gurobi-optimods
```

## Dependencies

- [gurobipy: Python modelling interface for the Gurobi Optimizer](https://pypi.org/project/gurobipy/)
- [numpy: The fundamental package for scientific computing with Python](https://pypi.org/project/numpy/)
- [scipy: Fundamental algorithms for scientific computing in Python](https://pypi.org/project/scipy/)
- [pandas: powerful Python data analysis toolkit](https://pypi.org/project/pandas/)
- [gurobipy-pandas: Convenience wrapper for building optimization models from pandas data](https://pypi.org/project/gurobipy-pandas/)

## Documentation

Full documentation for `gurobi-optimods` is hosted on [readthedocs](https://gurobi-optimods.readthedocs.io/en/stable).

## License

`gurobi-optimods` is distributed under the terms of the [Apache License 2.0](https://spdx.org/licenses/Apache-2.0.html).

## Contact Us

For questions related to using gurobi-optimods please use the [Gurobi Community Forum](https://support.gurobi.com/hc/en-us/community/topics/10373864542609-GitHub-Projects>).

For reporting bugs, issues and feature requests, specific to `gurobi-optimods`, please [open an issue](https://github.com/Gurobi/gurobi-optimods/issues).

If you encounter issues with Gurobi or `gurobipy` please contact [Gurobi Support](https://support.gurobi.com/hc/en-us).
